Síguenos

Con Chrome Frame Google quiere que sus aplicaciones más avanzadas, como Wave, estén disponibles también en Internet Explorer. Pero, ¿podría no ser el único navegador que dispone de este plugin?

Según afirma Mike Shaver, vicepresidente de ingeniería de Mozilla, Google dispone del código para ofrecerlo también para Firefox y, posiblemente, otros navegadores como Opera. Claro que eso no quiere decir que lo vayan a lanzar pronto, ni siquiera que lo vayan a hacer algún día.

Y, sinceramente, espero que no lo hagan. Y es que aunque nos pueda parecer una buena idea erradicar Internet Explorer o mejorar sus capacidades con un nuevo motor de renderizado, lo cierto es que esto no hace más que sentar unas malas bases para otras compañías.

¿Mi aplicación no es compatible con determinado navegador? Pues lanzo un software que modifique el navegador y lo haga compatible. Y si solo lo hace Google podemos dar las gracias, pero ¿y si todas las compañías se decidieran a hacer lo mismo? Acabaríamos con cientos de plugins instalados para hacer compatibles los distintos sitios.

Mejor solución es desarrollar de acuerdo a estándares comunes y no depender de un navegador en concreto. Y los que no sean compatibles con los estándares pues ya se espabilarán. No les quedará otro remedio si quieren utilizar los últimos servicios web disponibles.

Eso por no hablar de problemas de compatibilidad, de seguridad o de falta de integración, por ejemplo al no integrarse con el historial del propio navegador o el hacer que no funcione el modo privado de las últimas versiones de Explorer. Lo dicho, una mala idea.

Vía | IDG.

Los comentarios se han cerrado

Ordenar por:

22 comentarios